--- aspell.SlackBuild	2006-06-28 01:22:11.000000000 -0400
+++ aspell.SlackBuild.s390x	2006-09-09 23:59:09.000000000 -0400
@@ -11,7 +11,7 @@
   SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
 elif [ "$ARCH" = "i486" ]; then
   SLKCFLAGS="-O2 -march=i486 -mtune=i686"
-elif [ "$ARCH" = "s390" ]; then
+elif [ "$ARCH" = "s390x" ]; then
   SLKCFLAGS="-O2"
 elif [ "$ARCH" = "x86_64" ]; then
   SLKCFLAGS="-O2"
@@ -27,10 +27,13 @@
 CXXFLAGS="$SLKCFLAGS" \
 ./configure \
   --prefix=/usr \
+  --libdir='${exec_prefix}/lib64' \
   --enable-pkgdatadir=/usr/lib/aspell \
-  --enable-data-dir=/usr/lib/aspell \
-  --enable-pkglibdir=/usr/lib/aspell \
-  --enable-dict-dir=/usr/lib/aspell
+  --enable-pkglibdir=/usr/lib64/aspell
+
+# Pat also specifies --enable-data-dir and --enable-dict-dir, but according to the
+# configure script, those are aliases for --enable-pkgdatadir and --enable-pkglibdir,
+# respectively
 make
 make install
 ldconfig
